#
# spec file for package python-typepy
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-typepy
Version:        1.3.0
Release:        2.9
Summary:        Python library for run time variable type checker
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/thombashi/typepy
Source:         https://files.pythonhosted.org/packages/source/t/typepy/typepy-%{version}.tar.gz
BuildRequires:  %{python_module setuptools >= 38.3.0}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module mbstrdecoder >= 1.0.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module python-dateutil >= 2.8.0}
BuildRequires:  %{python_module pytz >= 2018.9}
BuildRequires:  %{python_module tcolorpy}
# /SECTION
BuildRequires:  fdupes
Requires:       python-mbstrdecoder >= 1.0.0
Suggests:       python-python-dateutil >= 2.8.0
Suggests:       python-pytz >= 2018.9
Suggests:       python-path.py
Suggests:       python-tcolorpy
BuildArch:      noarch

%python_subpackages

%description
typepy is a Python library for variable type checker/validator/converter at run time.

%prep
%setup -q -n typepy-%{version}
echo > requirements/test_requirements.txt

# Remove build alias
sed -i '/build =/d' setup.cfg

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/typepy*

%changelog
* Tue Dec  7 2021 pgajdos@suse.com
- remove pytest-runner from BuildRequires, it is not needed
* Sat Oct 30 2021 Dirk Müller <dmueller@suse.com>
- update to 1.3.0:
  * add python 3.6, drop support for python 3.5
  * Fix linting error
  * Refactorings
  * Add support for string with thousand separators as integer
* Fri Apr 23 2021 Matej Cepl <mcepl@suse.com>
- Update to version 1.1.5:
  - Change packaging dependency from mandatory to optional.
* Sat Mar  6 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 1.1.4
  * Fix bool values conversion
- Update to version 1.1.3
  * Add support for Python 3.10
  * Improve error messages when conversion error happens.
  * Drop dependency of deprecated distutils
- Update to version 1.1.2
  * Modify dependencies
* Wed Jul  8 2020 Ondřej Súkup <mimi.vx@gmail.com>
- Update to 1.1.1
  - no upstream changelog
* Fri Apr 17 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.1.0
  * Improve type annotations
  * Improve dictionary type detection
  * Rename a type from Binary to Bytes
* Sun Mar 29 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.0.0
  * Drop Python 2 support
  * Add support for Python 3.9
  * Add extract_typepy_from_dtype function
  * Remove deprecated functions
  * Modify NullString not to strip white spaces in default
* Tue Mar 17 2020 pgajdos@suse.com
- version update to 0.6.6
  * no upstream changelog found
* Thu Feb  6 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.6.4
- Drop patch:
  * merged_commit_32bit.patch (not longer needed)
* Fri May 10 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.5.0
